Bug 237786 - xgettext doesn't handle non-ASCII source strings correctly
xgettext doesn't handle non-ASCII source strings correctly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gettext (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 09:41 EDT by Nils Philippsen
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-19 01:22:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2007-04-25 09:41:30 EDT
Description of problem:

When getting messages from one of my UTF-8 python files, xgettext apparently
doesn't use UTF-8, but some ISO encoding when dealing with a copyright sign:

This is the msgid as put into system-config-services.pot by xgettext:

msgid ""
"System Services Configuration Tool VERSION\n"
" Copyright © 2002-2006 Red Hat, Inc.\n"
[...]

This is how it should be:

msgid ""
"System Services Configuration Tool VERSION\n"
" Copyright © 2002-2006 Red Hat, Inc.\n"
[...]


Version-Release number of selected component (if applicable):
gettext-0.14.6-4.fc6

How reproducible:
Easily

Steps to Reproduce:
1. Check out system-config-services from elvis
2. cd po/
3. make update-po

or:

1. create small python file (marked with "coding: utf-8") with a translatable
copyright sign
2. run "xgettext --default-domain=system-config-services --add-comments
--from-code=utf-8 --keyword=_ --keyword=N_ ..." on that file
  
Actual results:
See above ex.1

Expected results:
See above ex.2

Additional info:
I just made a test build of 0.16.1 from Rawhide and with its xgettext the UTF-8
copyright sign was left intact.
Comment 1 Nils Philippsen 2007-04-25 10:14:14 EDT
See bug #232809 for background.
Comment 2 Jens Petersen 2007-04-30 04:09:39 EDT
Hmm I see: guess it is necessary to track down in which version of gettext
this was fixed.
Comment 3 Jens Petersen 2007-07-19 01:22:17 EDT
I doubt there will be a chance to fix this before fc7 moves to EOL,
unless someone comes with a patch.  So closing for now.
Comment 4 Jens Petersen 2007-07-19 01:23:23 EDT
(Just for the record, F7 already ships with the newer 0.16.1.)

Note You need to log in before you can comment on or make changes to this bug.